import { Injectable } from '@angular/core';
import { FormGroup } from '@angular/forms';

@Injectable({
  providedIn: 'root'
})
export class IsUtilsService {

  constructor() { }

  prepareFormError(error:any, form:FormGroup): void {
    if (error.error && error.error.message) {
      form.setErrors({ serverError: error.error.message })
    } else if (error.message) {
      form.setErrors({ serverError: error.message })
    } else {
      form.setErrors({ serverError: 'Generic server side error' })
    }
  }

}
